summaryrefslogtreecommitdiff
path: root/lirc
diff options
context:
space:
mode:
authorPhil Blundell <philb@gnu.org>2004-11-20 13:07:09 +0000
committerPhil Blundell <philb@gnu.org>2004-11-20 13:07:09 +0000
commitd0c90d4fc32b76e7839712c65fb7370116d9cabb (patch)
treed6cf5b7fa42581efd2dc055776c47c9e75efac91 /lirc
parent1aa2771d83862249be39669b8f88de30212d5aee (diff)
Merge bk://openembedded@openembedded.bkbits.net/packages-devel
into stealth.nexus.co.uk:/home/pb/oe/oe-packages 2004/11/20 13:06:48+00:00 nexus.co.uk!pb pull forward epia support from lirc-modules_0.6.6+cvs20040918 BKrev: 419f417d7xQj-gD9GpIkPApho9DuOQ
Diffstat (limited to 'lirc')
-rw-r--r--lirc/lirc-modules_0.7.0.oe40
1 files changed, 40 insertions, 0 deletions
diff --git a/lirc/lirc-modules_0.7.0.oe b/lirc/lirc-modules_0.7.0.oe
index e69de29bb2..98decf80b2 100644
--- a/lirc/lirc-modules_0.7.0.oe
+++ b/lirc/lirc-modules_0.7.0.oe
@@ -0,0 +1,40 @@
+DESCRIPTION = "LIRC is a package that allows you to decode and send infra-red signals of many commonly used remote controls."
+SECTION = "base"
+PRIORITY = "optional"
+MAINTAINER = "Michael 'Mickey' Lauer <mickey@Vanille.de>"
+LICENSE = "GPL"
+RDEPENDS = "linux-${KERNEL_VERSION}"
+DEPENDS = "virtual/kernel"
+PR = "r1"
+
+SRC_URI = "${SOURCEFORGE_MIRROR}/lirc/lirc-${PV}.tar.gz \
+ file://lirc_sir-sa1100.patch;patch=1"
+S = "${WORKDIR}/lirc-${PV}"
+
+inherit autotools module-base
+
+EXTRA_OECONF = "--with-kerneldir=${STAGING_KERNEL_DIR}"
+EXTRA_OECONF_append_epia = " --with-driver=serial"
+EXTRA_OECONF_append_collie = " --with-driver=sa1100 --without-x"
+EXTRA_OECONF_append_h3600 = " --with-driver=sa1100 --without-x"
+EXTRA_OECONF_append_beagle = " --with-driver=sa1100 --without-x"
+EXTRA_OECONF_append_simpad = " --with-driver=sa1100 --without-x"
+
+export TOPDIR = "${STAGING_KERNEL_DIR}"
+
+do_compile() {
+ cd drivers && oe_runmake CC="${KERNEL_CC}" LD="${KERNEL_LD}"
+}
+
+fakeroot do_install() {
+ oe_runmake -C drivers DESTDIR="${D}" moduledir="/lib/modules/${KERNEL_VERSION}/lirc" install
+ rm -rf ${D}/dev
+}
+
+pkg_postinst() {
+#!/bin/sh
+ mknod /dev/lirc c 61 0
+ if [ -n $D ]; then exit 1; fi
+}
+
+FILES_${PN} = "/lib/modules"